Page MenuHomePhabricator

Deploy PageAssessments to Hungarian Wikipedia
Closed, ResolvedPublic

Description

Hungarian banner system is basically the same as the English one. The main template is {{Értékelés sablon alap}}, community consensus is here.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2018, 2:35 PM

The main template is template-protected, but I’m a template editor, so I can modify it once the extension is deployed.

Wonderful! Thank you for creating this task, and getting support from your community :)

@Tacsipacsi I have one question: Do you have a "masking" template that validates the assessments? On English Wikipedia, the meta template uses Template:Class mask. So this way, class=cheesecake is invalid and will not be stored, because the only valid classes are FA, GA, A, B, C, etc.

This "masking" template is not required, but it will ensure the data is more accurate. It is up to you on whether you want to add this.

Currently we don’t have such template, but {{Értékelés sablon alap/Fontosság szöveg}} and {{Értékelés sablon alap/Besorolás szöveg}} validates the input (importance and quality/class, respectively), so generalizing them solves the problem. Thanks for the tip!

Change 425212 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[operations/mediawiki-config@master] Enable PageAssessments on huwiki

https://gerrit.wikimedia.org/r/425212

Change 425212 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable PageAssessments on huwiki

https://gerrit.wikimedia.org/r/425212

Mentioned in SAL (#wikimedia-operations) [2018-04-11T22:24:48Z] <musikanimal@tin> Synchronized wmf-config/InitialiseSettings.php: Enabling PageAssessments on huwiki (T191697) (duration: 01m 17s)

@Tacsipacsi The extension is deployed! You can update the template now. Once added, you'll start to see all the articles at https://hu.wikipedia.org/wiki/Speciális:PageAssessments

Again I think we should create new versions of your "szöveg" templates so that the data is consistent and normalized, or allow them to return just the value and not sentences. I also would suggest saving a short value for the assessment/importance ("jólhaszn" instead of "jól használható").

I'm sure you already know what to do, but just in case... here's what I recommend:

Create a new version of {{Sablon:Értékelés sablon alap/Fontosság szöveg}} that is something like:

<includeonly>{{#if: {{{1|}}}|{{#switch:{{lc:{{{1}}}}}
  |1|kev|kevés|kevéssé=kevéssé
  |2|köz|közepes|közepesen=közepesen
  |3|nagy|nagyon=nagyon
  |4|nélk|nélkülözhetetlen=nélkülözhetetlen
  |#default=ismeretlen
}}|ismeretlen}}</includeonly>

and for Besorolás:

<includeonly>{{#if: {{{1|}}}|{{#switch:{{lc:{{{1}}}}}
  |1|szül|születő|csonk|stub=születő
  |2|vázl|vázlatos|start=vázlatos
  |3|bőv|bővítendő|b=bővítendő
  |4|jól használható|haszn|használható|jhaszn|jólhaszn=jólhaszn
  |5|teljes|telj=teljes
  |6|szín|színv|színvonalas=színvonalas
  |7|k|ksz|kit|kitüntetett|kiemelt=kitüntetett
  |#default=ismeretlen
}}|ismeretlen}}</includeonly>

then in your meta template:

<includeonly>{{#assessment:{{{téma|}}}|{{normalize besorolás|{{{besorolás|}}}}}|{{normalize fontosság|{{{fontosság|}}}}}}}</includeonly>

where "normalize besorolás" and "normalize fontosság" are the new normalization templates.

Many thanks again for helping set this up!

@gerritbot seems to be lazy today. Can someone take care of https://gerrit.wikimedia.org/r/c/426642/? (Not in a hurry, but I have bad experience with Gerrit changes waiting for review for quite a while. The longest was, as far as I remember, 1.5-2 years before I abandoned it.)

Change 426642 merged by jenkins-bot:
[mediawiki/extensions/PageAssessments@master] Translate special page into Hungarian.

https://gerrit.wikimedia.org/r/426642

MusikAnimal closed this task as Resolved.Apr 15 2018, 8:53 PM
MusikAnimal moved this task from Ready to Done on the MediaWiki-extensions-PageAssessments board.
MusikAnimal claimed this task.

Merged! And I see all the articles have now been populated. Thanks! I'll update XTools and Pageviews Analysis to show assessments soon. Closing this as resolved :)

Change 426816 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/extensions/PageAssessments@master] Fix typo for hu PageAssessments alias

https://gerrit.wikimedia.org/r/426816

Change 426816 merged by jenkins-bot:
[mediawiki/extensions/PageAssessments@master] Fix typo for hu PageAssessments alias

https://gerrit.wikimedia.org/r/426816

Page assessments are now being shown on Pageviews Analysis: https://tools.wmflabs.org/pageviews/?project=hu.wikipedia.org&pages=Macska

XTools as well: https://xtools.wmflabs.org/articleinfo/hu.wikipedia.org/Macska#assessments

If you're wiki is interested in Popular Pages Bot, let us know or create a ticket. We're currently working on better cross-wiki support and it should soon be trivial to add huwiki (after we get bot approval from your community).